Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ISurfaceSlopeField.ISurfaceSlopeFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.ISurfaceFieldGeo
              igeo.ISurfaceSlopeField.ISurfaceSlopeFieldGeo

All Implemented Interfaces:
  I3DFieldI, IFieldI

Enclosing class:
  ISurfaceSlopeField

    public static class ISurfaceSlopeField.ISurfaceSlopeFieldGeo

extends ISurfaceFieldGeo

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary
`(package private) IVec` | `gravity`

Fields inherited from class igeo.ISurfaceFieldGeo
`fieldSurface, surface`

Fields inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, customDecay, decay, gaussDecay, intensity, linearDecay, noDecay, threshold`

Constructor Summary
`ISurfaceSlopeField.ISurfaceSlopeFieldGeo(ISurfaceI srf)`
`ISurfaceSlopeField.ISurfaceSlopeFieldGeo(ISurfaceI srf, IVec gravityDir)`

Method Summary
`IVecI` | `get(IVecI v, IVec2I uv)` get original field value out of curve parameter u

Methods inherited from class igeo.ISurfaceFieldGeo
`bidirectional, constantIntensity, del, gauss, gaussian, gaussianDecay, get, get, get, intensity, linear, linearDecay, noDecay, threshold`

Methods inherited from class igeo.IFieldGeo
`decay, decay, intensity, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`decay, intensity, threshold`

Field Detail

### gravity

    IVec gravity

Constructor Detail

### ISurfaceSlopeField.ISurfaceSlopeFieldGeo

    public ISurfaceSlopeField.ISurfaceSlopeFieldGeo(ISurfaceI srf)

### ISurfaceSlopeField.ISurfaceSlopeFieldGeo

    public ISurfaceSlopeField.ISurfaceSlopeFieldGeo(ISurfaceI srf,
                                                    IVec gravityDir)

Method Detail

### get

    public IVecI get(IVecI v,
                     IVec2I uv)

  Description copied from class: `ISurfaceFieldGeo`
  get original field value out of curve parameter u

  Overrides:
    `get` in class `ISurfaceFieldGeo`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD